Page 1 of 5 123 ... LastLast
Results 1 to 10 of 44

Thread: How to install ideviceinstaller

  1. #1
    Join Date
    Jun 2007
    Beans
    12

    How to install ideviceinstaller

    Hello,

    I noticed it should be possible to sync apps with Ubuntu / iPod / iPhone too so went in and looked to install it.
    Below is a guide to install ideviceinstaller, hope it works. Any info to make this guide better is more then welcome!
    I am by no means an expert, but it worked for me

    ---
    Howto - Iphone App sync


    Preparation

    Code:
    $ sudo apt-get install libtool automake autoconf git-core swig build-essential python-dev libusbmuxd-dev libglib2.0-dev libgnutls-dev libplist-dev libplist++-dev libplist++1 libzip-dev libclutter-1.0-dev libclutter-gtk-0.10-dev intltool
    Get and compile the latest 'libimobiledevice'

    Code:
    $ cd ~/Downloads
    $ wget http://www.libimobiledevice.org/downloads/libimobiledevice-1.0.1.tar.bz2
    $ tar xvjf libimobiledevice-1.0.1.tar.bz2
    $ cd ~/Downloads/libimobiledevice-1.0.1
    $ ./configure
    $ make
    $ sudo make install
    Get and compile ideviceinstaller

    Code:
    $ git clone git://git.sukimashita.com/ideviceinstaller.git
    $ cd ideviceinstaller/
    $ ./autogen.sh
    $ ./configure
    $ make
    $ sudo make install
    Get and compile sbmanager

    Code:
    $ git clone git://git.sukimashita.com/sbmanager.git
    $ cd sbmanager
    $ ./autogen.sh
    $ ./configure
    $ make
    $ sudo make install
    How does it work

    * List all apps on your iPhone/iPod:
    Code:
    $ ideviceinstaller -l
    * Archive an app:
    Code:
    $ ideviceinstaller -a <app>
    * Restore an app:
    Code:
    $ ideviceinstaller -r <app>
    * Create a backup:
    Code:
    $ idevicebackup backup ~/backup
    * Restore a backup:
    Code:
    $ idevicebackup restore ~/backup
    * Get info:
    Code:
    $ ideviceinfo
    * Manage your springboard:
    Code:
    $ sbmanager
    Troubleshooting

    * Error: ideviceinstaller: error while loading shared libraries: libimobiledevice.so.1: cannot open shared object file: No such file or directory
    - Fix:
    Code:
    $ sudo ln -s /usr/local/lib/libimobiledevice.so.1.0.1 /usr/lib/libimobiledevice.so.1
    * Error: idevicebackup: /build/buildd/libplist-1.1/src/plist.c:576: plist_get_uint_val: Assertion `length == sizeof(uint64_t)' failed.
    - Fix: No fix (yet). The error appears on both my iPod Touch and iPhone 3GS on both 32 bit and 64 bit Ubuntu
    Last edited by chaosz911; May 29th, 2010 at 08:18 AM. Reason: Updated the tutorial for the new libimobiledevice version

  2. #2
    Join Date
    May 2010
    Beans
    67
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: How to install ideviceinstaller

    Just a quick info. I was able to install everything as per your guide. Thanks a lot!

    The binary for apps is ideviceinstaller -l - to list the apps and not ideviceinstall.

    One issue I have is that sbmanager runs under root - sudo sbmanager.

    Under the local user it throws an exception. I am still trying to figure what is the problem. I am sure it is permission problem, but for sure it is not on the sbmanager.

  3. #3
    Join Date
    Aug 2005
    Beans
    27

    Re: How to install ideviceinstaller

    is it normal that I cannot find ifuse-dev???
    also, I had to install intltool due to an error like
    Code:
    syntax error near unexpected token `0.35.0'
    Last edited by miguelastico; May 16th, 2010 at 02:57 PM.

  4. #4
    Join Date
    Jun 2007
    Beans
    12

    Re: How to install ideviceinstaller

    Quote Originally Posted by peshko-lnx View Post
    Just a quick info. I was able to install everything as per your guide. Thanks a lot!

    The binary for apps is ideviceinstaller -l - to list the apps and not ideviceinstall.

    One issue I have is that sbmanager runs under root - sudo sbmanager.

    Under the local user it throws an exception. I am still trying to figure what is the problem. I am sure it is permission problem, but for sure it is not on the sbmanager.
    Changed the binary
    Glad you liked it, it was my first tutorial.
    No idea about sbmanager, except like you mentioned: permissions

  5. #5
    Join Date
    Jun 2007
    Beans
    12

    Re: How to install ideviceinstaller

    Quote Originally Posted by miguelastico View Post
    is it normal that I cannot find ifuse-dev???
    also, I had to install intltool due to an error like
    Code:
    syntax error near unexpected token `0.35.0'
    I'm pretty sure you do not need ifuse-dev, and I cannot recall finding it either. Either way, ifuse-dev is removed and intltool is added
    Thanks for the info!

  6. #6
    Join Date
    Mar 2007
    Beans
    21

    Re: How to install ideviceinstaller

    Quote Originally Posted by chaosz911 View Post
    Troubleshooting

    * Error: ideviceinstaller: error while loading shared libraries: libimobiledevice.so.1: cannot open shared object file: No such file or directory
    - Fix:
    Code:
    $ sudo ln -s /usr/local/lib/libimobiledevice.so.1.0.0 /usr/lib/libimobiledevice.so.1
    In my case this doesn't work even changing the code to 1.0.1. I don't know if it's because of a new version (1.0.1) but I can't get SBManager to work, neither ideviceinfo.

    Any solution?

  7. #7
    Join Date
    Jun 2007
    Beans
    12

    Re: How to install ideviceinstaller

    Quote Originally Posted by G@B0 View Post
    In my case this doesn't work even changing the code to 1.0.1. I don't know if it's because of a new version (1.0.1) but I can't get SBManager to work, neither ideviceinfo.

    Any solution?
    Sorry to hear it didn't work for you. Could you post the error you get?

  8. #8
    Join Date
    Mar 2007
    Beans
    21

    Re: How to install ideviceinstaller

    Quote Originally Posted by chaosz911 View Post
    Sorry to hear it didn't work for you. Could you post the error you get?
    Forget it, I ran an apt-get upgrade and now it's working.

    Thx

  9. #9
    Join Date
    Apr 2009
    Beans
    12

    Re: How to install ideviceinstaller

    YOU...my friend...are the bee's knees. thanks chaosz911! i even needed the first fix that you so graciously included.

  10. #10
    Join Date
    May 2007
    Location
    Athens, Greece
    Beans
    4
    Distro
    Ubuntu 7.04 Feisty Fawn

    Re: How to install ideviceinstaller

    Hey guys I've been trying to get these apps working on my laptop, but I come up with an error concerning libclutter-1.0-dev libclutter-gtk-0.10-dev installation packages.
    The following packages have unmet dependencies:
    libclutter-1.0-dev: Depends: libgtk2.0-dev but it is not going to be installed
    libclutter-gtk-0.10-dev: Depends: libgtk2.0-dev but it is not going to be installed

    Any ideas?

Page 1 of 5 123 ... LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •